Bug 233 - RFE: Update FreeType font engine to Xfree86V4.4.0 trunk
Summary: RFE: Update FreeType font engine to Xfree86V4.4.0 trunk
Status: RESOLVED FIXED
Alias: None
Product: xprint
Classification: Unclassified
Component: Server: Font engine: FreeType (show other bugs)
Version: unspecified
Hardware: All All
: high enhancement
Assignee: Roland Mainz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-26 17:57 UTC by Roland Mainz
Modified: 2004-02-29 00:41 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch for 2004-02-27-trunk (10.83 KB, patch)
2004-02-26 17:57 UTC, Roland Mainz
no flags Details | Splinter Review

Description Roland Mainz 2004-02-26 17:57:07 UTC
RFE: Update FreeType font engine to Xfree86V4.4.0 trunk, mainly to include the
fix for http://bugs.xfree86.org/show_bug.cgi?id=1163 ("freetype module sometimes
gets font height (descent?) wrong").
Comment 1 Roland Mainz 2004-02-26 17:57:59 UTC
Created attachment 107 [details] [review]
Patch for 2004-02-27-trunk
Comment 2 Roland Mainz 2004-02-26 18:01:00 UTC
Patch checked-in into 010trunk...

Checking in xc/lib/font/FreeType/ftfuncs.c;
/cvs/xprint/xprint/src/xprint_main/xc/lib/font/FreeType/ftfuncs.c,v  <-- 
ftfuncs.c
new revision: 1.17; previous revision: 1.16
done
Checking in xc/lib/font/FreeType/ftfuncs.h;
/cvs/xprint/xprint/src/xprint_main/xc/lib/font/FreeType/ftfuncs.h,v  <-- 
ftfuncs.h
new revision: 1.7; previous revision: 1.6
done
Checking in xc/lib/font/FreeType/xttcap.c;
/cvs/xprint/xprint/src/xprint_main/xc/lib/font/FreeType/xttcap.c,v  <-- 
xttcap.c
new revision: 1.2; previous revision: 1.1
done

... leaving bug open for checkin into 009 release branch.
Comment 3 Roland Mainz 2004-02-29 19:34:31 UTC
Patch checked-in...

Checking in xc/lib/font/FreeType/ftfuncs.c;
/cvs/xprint/xprint/src/xprint_main/xc/lib/font/FreeType/ftfuncs.c,v  <-- 
ftfuncs.c
new revision: 1.16.2.1; previous revision: 1.16
done
Checking in xc/lib/font/FreeType/ftfuncs.h;
/cvs/xprint/xprint/src/xprint_main/xc/lib/font/FreeType/ftfuncs.h,v  <-- 
ftfuncs.h
new revision: 1.6.2.1; previous revision: 1.6
done
Checking in xc/lib/font/FreeType/xttcap.c;
/cvs/xprint/xprint/src/xprint_main/xc/lib/font/FreeType/xttcap.c,v  <-- 
xttcap.c
new revision: 1.1.2.1; previous revision: 1.1
done

... marking bug as FIXED.
Comment 4 Roland Mainz 2004-02-29 19:41:50 UTC
(comment #3 was for 009 release branch)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.